searchData={"items":[{"type":"module","title":"CAR","doc":"Tools for working with CAR files.","ref":"CAR.html"},{"type":"function","title":"CAR.decode/1","doc":"Decode a CAR into an Elixir struct.","ref":"CAR.html#decode/1"},{"type":"module","title":"CAR.Archive","doc":"Struct representing a decoded CAR file.","ref":"CAR.Archive.html"},{"type":"function","title":"CAR.Archive.get_block/2","doc":"Get a content block by its CID.","ref":"CAR.Archive.html#get_block/2"},{"type":"function","title":"CAR.Archive.root_blocks/1","doc":"Get all content blocks that are referenced to in `roots`.","ref":"CAR.Archive.html#root_blocks/1"},{"type":"type","title":"CAR.Archive.t/0","doc":"","ref":"CAR.Archive.html#t:t/0"},{"type":"module","title":"CAR.DagCbor","doc":"Module for helping with DAG-CBOR quirks.","ref":"CAR.DagCbor.html"},{"type":"function","title":"CAR.DagCbor.decode/1","doc":"Decode a given binary using CBOR, with extra handling to pull tagged CIDs out of their wrapping struct.","ref":"CAR.DagCbor.html#decode/1"},{"type":"module","title":"CAR.Decoder","doc":"Module for decoding CARv1 files.\nSpec: https://ipld.io/specs/transport/car/carv1/","ref":"CAR.Decoder.html"},{"type":"type","title":"CAR.Decoder.block_error/0","doc":"","ref":"CAR.Decoder.html#t:block_error/0"},{"type":"function","title":"CAR.Decoder.cid/1","doc":"Extract a CIDv0 or CIDv1 from an arbitrary byte stream.","ref":"CAR.Decoder.html#cid/1"},{"type":"function","title":"CAR.Decoder.decode/1","doc":"","ref":"CAR.Decoder.html#decode/1"},{"type":"type","title":"CAR.Decoder.header_error/0","doc":"","ref":"CAR.Decoder.html#t:header_error/0"},{"type":"extras","title":"License","doc":"Copyright 2025 comet.sh\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of\nthis software and associated documentation files (the “Software”), to deal in\nthe Software without restriction, including without limitation the rights to\nuse, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of\nthe Software, and to permit persons to whom the Software is furnished to do so,\nsubject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR\nCOPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER\nIN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN\nCONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"},{"type":"extras","title":"Overview","doc":"# CAR\n\nAn Elixir package for dealing with\n[CARv1](https://ipld.io/specs/transport/car/carv1/) (content archive) files.\n\nCurrently only just a basic decoder for use in\n[Comet](https://github.com/cometsh), but hopefully to become a fully fledged CAR\nlibrary for all sorts of uses (eventually).","ref":"readme.html"},{"type":"extras","title":"TODO - Overview","doc":"- Encoding CAR files\n- Support for more codecs specified in a block's CID (e.g. DAG-PB, RAW).\n  Currently only DAG-CBOR is supported and automatically.\n- Tests","ref":"readme.html#todo"},{"type":"extras","title":"Installation - Overview","doc":"Add `car` to your `mix.exs`\n\n```elixir\ndef deps do\n  [\n    {:car, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Basic Usage - Overview","doc":"```elixir\ncar_binary = receive_car()\n{:ok, decoded_car} = CAR.decode(car_binary)\n```","ref":"readme.html#basic-usage"},{"type":"extras","title":"License - Overview","doc":"This project is licensed under the [MIT License](./LICENSE)","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.1"}}